%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-XML-SAX-Base
Version:        1.08
Release:        1
Summary:        Base class SAX Drivers and Filters
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-SAX-Base/
Source0:        http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8
Conflicts:      perl-XML-SAX < 0.99-1

%description
This module has a very simple task - to be a base class for PerlSAX drivers
and filters. It's default behaviour is to pass the input directly to the
output unchanged. It can be useful to use this module as a base class so
you don't have to, for example, implement the characters() callback.


%prep
%setup -q -n XML-SAX-Base-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*

mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
mv ${RPM_BUILD_ROOT}%{perl_vendorlib}/XML/SAX/BuildSAXBase.pl ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes dist.ini META.json README BuildSAXBase.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Nov 16 2011 Michael Perzl <michael@perzl.org> - 1.08-1
- first version for AIX V5.1 and higher
